<template>
    <div class="dialog-table-container sub-page-inner">
        <div class="sub-page-detail full-detail">
            <div class="pro-table-title">改革需求来源统计表</div>
            <el-table :element-loading-background="loadingColor" v-loading="loading" height="calc(50% - 40px)"
                align="center" :data="tableData" class="dialog_table" :cell-style="{ 'text-align': 'center' }"
                :header-cell-style="{ 'text-align': 'center' }">
                <el-table-column type="index" label="序号" width="80"></el-table-column>
                <el-table-column prop="team" label="专项小组">
                </el-table-column>
                <el-table-column prop="target1" label="收集需求" width="180">
                </el-table-column>
                <el-table-column prop="target2" label="报送需求" width="180"></el-table-column>
                <el-table-column prop="target3" label="转化为重大项目" width="180"></el-table-column>
            </el-table>
            <div class="pro-table-title">已生成的市级重大改革项目统计表</div>
            <el-table :element-loading-background="loadingColor" v-loading="loading" height="calc(50% - 40px)"
                :data="tableData1" class="dialog_table" :cell-style="{ 'text-align': 'center' }"
                :header-cell-style="{ 'text-align': 'center' }">
                <el-table-column type="index" label="序号" width="80"></el-table-column>
                <el-table-column prop="projectName" label="已生成的市级重大改革项目" align="left">
                </el-table-column>
                <el-table-column prop="group" label="专项小组" width="240">
                </el-table-column>
                <el-table-column prop="unitName" label="牵头单位" width="220"></el-table-column>
                <el-table-column prop="status" label="审核结果" width="220"></el-table-column>
            </el-table>
        </div>
    </div>
</template>

<script>
import apiList from '@/api/bigScreen/districView.js'
import majorStaticData from '@/views/BigScreen/js/majorStaticData.js'
export default {
    props: {
        tableOptions: {
            type: Object,
            default: () => {
                return {}
            },
        },
    },
    data() {
        return {
            loading: false,
            loadingColor: 'rgba(6, 46, 106, 0.4)',
            tableData: [],
            tableData1: [],
        }
    },
    mounted() {
        this.getData()
        this.$bus.$on('changeDate', (searchDate) => {
            this.getData()
        })
    },
    created() {
        this.$emit('searchDateChange')
    },
    methods: {
        getData() {
            this.tableData = majorStaticData.scrollListDataBottom
            this.tableData1 = majorStaticData.scrollListDataBottom1
            return
            this.loading = true
            let data = JSON.parse(sessionStorage.getItem('searchDate'))
            console.log(data)
            // 综合
            apiList.getDemandHeatList(data, (res) => {
                this.tableData = res.demandRank

                this.loading = false
            })
        },
    },
}
</script>
<style lang="scss" scoped>

.pro-table-title {
    font-size: 24PX;
    text-align: center;
    margin-bottom: 20PX;
}
.column-item-rotate {
    display: inline-block;
    transform: rotateX(180deg);
}

.cqlt-icon-arrow {
    font-size: 18PX;
}

.column-trend-icon-1 {
    color: #59c06c;
    text-shadow: #59c06c 1PX 0 12PX;
}

.column-trend-icon-2 {
    color: #fe3b30;
    text-shadow: #fe3b30 1PX 0 12PX;
}
</style>
<style lang="scss">
@import './table.scss';
</style>
